import { getListSessionsJobResult as universalGetListSessionsJobResult, listSessionsAsync as universalListSessionsAsync, markRecordingsAsDeleted as universalMarkRecordingsAsDeleted, markSessionAsRecorded as universalMarkSessionAsRecorded, } from './analytics-ng-v1-session-analytics-session.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/analytics-session' };
export function listSessionsAsync(httpClient) {
    return (options) => universalListSessionsAsync(options, 
    // @ts-ignore
    { httpClient });
}
export function getListSessionsJobResult(httpClient) {
    return (jobId, options) => universalGetListSessionsJobResult(jobId, options, 
    // @ts-ignore
    { httpClient });
}
export function markSessionAsRecorded(httpClient) {
    return (sessionId) => universalMarkSessionAsRecorded(sessionId, 
    // @ts-ignore
    { httpClient });
}
export function markRecordingsAsDeleted(httpClient) {
    return (sessionIds) => universalMarkRecordingsAsDeleted(sessionIds, 
    // @ts-ignore
    { httpClient });
}
export { DeviceType, FunnelStep, JobStatus, PredefinedTimePeriod, } from './analytics-ng-v1-session-analytics-session.universal.js';
//# sourceMappingURL=analytics-ng-v1-session-analytics-session.public.js.map