import { listSessionsAsync as publicListSessionsAsync, getListSessionsJobResult as publicGetListSessionsJobResult, markSessionAsRecorded as publicMarkSessionAsRecorded, markRecordingsAsDeleted as publicMarkRecordingsAsDeleted } from './analytics-ng-v1-session-analytics-session.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const listSessionsAsync: MaybeContext<BuildRESTFunction<typeof publicListSessionsAsync> & typeof publicListSessionsAsync>;
export declare const getListSessionsJobResult: MaybeContext<BuildRESTFunction<typeof publicGetListSessionsJobResult> & typeof publicGetListSessionsJobResult>;
export declare const markSessionAsRecorded: MaybeContext<BuildRESTFunction<typeof publicMarkSessionAsRecorded> & typeof publicMarkSessionAsRecorded>;
export declare const markRecordingsAsDeleted: MaybeContext<BuildRESTFunction<typeof publicMarkRecordingsAsDeleted> & typeof publicMarkRecordingsAsDeleted>;
export { PredefinedTimePeriod, FunnelStep, DeviceType, JobStatus, } from './analytics-ng-v1-session-analytics-session.universal.js';
export { Session, ListSessionsAsyncRequest, ListSessionsAsyncRequestPeriodOneOf, ListSessionsAsyncRequestParamsOneOf, CustomTimePeriod, NavigationFlowSessionsParams, ConversionFunnelSessionsParams, SessionsByDeviceParams, ListSessionsAsyncResponse, GetListSessionsJobResultRequest, GetListSessionsJobResultResponse, JobResult, CountFunnelSessionsRequest, CountFunnelSessionsRequestPeriodOneOf, CountFunnelSessionsResponse, Recordings, CountSessionsRequest, CountSessionsRequestPeriodOneOf, CountSessionsResponse, MarkSessionAsRecordedRequest, MarkSessionAsRecordedResponse, MarkRecordingsAsDeletedRequest, MarkRecordingsAsDeletedResponse, ListSessionsAsyncOptions, ListSessionsAsyncOptionsPeriodOneOf, ListSessionsAsyncOptionsParamsOneOf, GetListSessionsJobResultOptions, } from './analytics-ng-v1-session-analytics-session.universal.js';
