import * as ambassadorWixAnalyticsNgV1SessionTypes from './analytics-ng-v1-session-analytics-session.types.js';
import * as ambassadorWixAnalyticsNgV1SessionUniversalTypes from './analytics-ng-v1-session-analytics-session.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function listSessionsAsync(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAnalyticsNgV1SessionUniversalTypes.ListSessionsAsyncRequest, ambassadorWixAnalyticsNgV1SessionTypes.ListSessionsAsyncRequest, ambassadorWixAnalyticsNgV1SessionUniversalTypes.ListSessionsAsyncResponse, ambassadorWixAnalyticsNgV1SessionTypes.ListSessionsAsyncResponse>;
export declare function getListSessionsJobResult(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixAnalyticsNgV1SessionUniversalTypes.GetListSessionsJobResultRequest, ambassadorWixAnalyticsNgV1SessionTypes.GetListSessionsJobResultRequest, ambassadorWixAnalyticsNgV1SessionUniversalTypes.GetListSessionsJobResultResponse, ambassadorWixAnalyticsNgV1SessionTypes.GetListSessionsJobResultResponse>;
export declare function markSessionAsRecorded(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAnalyticsNgV1SessionUniversalTypes.MarkSessionAsRecordedRequest, ambassadorWixAnalyticsNgV1SessionTypes.MarkSessionAsRecordedRequest, ambassadorWixAnalyticsNgV1SessionUniversalTypes.MarkSessionAsRecordedResponse, ambassadorWixAnalyticsNgV1SessionTypes.MarkSessionAsRecordedResponse>;
export declare function markRecordingsAsDeleted(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixAnalyticsNgV1SessionUniversalTypes.MarkRecordingsAsDeletedRequest, ambassadorWixAnalyticsNgV1SessionTypes.MarkRecordingsAsDeletedRequest, ambassadorWixAnalyticsNgV1SessionUniversalTypes.MarkRecordingsAsDeletedResponse, ambassadorWixAnalyticsNgV1SessionTypes.MarkRecordingsAsDeletedResponse>;
